> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Provider Notification Counts

> Get notification counts for the current authenticated provider.

Returns the latest notification counts from DoseSpot for the currently authenticated provider.
Only returns counts if the provider has a DoseSpot User ID configured.

Args:
    session: Database session
    tenant: Current tenant
    current_provider: Current authenticated provider

Returns:
    PrescriberNotificationCountSummary if counts exist, None otherwise



## OpenAPI

````yaml get /dosespot/notification-counts/current-provider
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /dosespot/notification-counts/current-provider:
    get:
      tags:
        - provider
        - dosespot
        - dosespot-notification-counts
      summary: Get Current Provider Notification Counts
      description: >-
        Get notification counts for the current authenticated provider.


        Returns the latest notification counts from DoseSpot for the currently
        authenticated provider.

        Only returns counts if the provider has a DoseSpot User ID configured.


        Args:
            session: Database session
            tenant: Current tenant
            current_provider: Current authenticated provider

        Returns:
            PrescriberNotificationCountSummary if counts exist, None otherwise
      operationId: >-
        get_current_provider_notification_counts_dosespot_notification_counts_current_provider_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PrescriberNotificationCountSummary'
                  - type: 'null'
                title: >-
                  Response Get Current Provider Notification Counts Dosespot
                  Notification Counts Current Provider Get
components:
  schemas:
    PrescriberNotificationCountSummary:
      properties:
        providerId:
          type: string
          title: Providerid
          description: Provider ID
        pendingPrescriptionCount:
          type: integer
          title: Pendingprescriptioncount
          description: Number of pending prescription requests
          default: 0
        transmissionErrorCount:
          type: integer
          title: Transmissionerrorcount
          description: Number of transmission errors
          default: 0
        refillRequestCount:
          type: integer
          title: Refillrequestcount
          description: Number of pending refill requests
          default: 0
        changeRequestCount:
          type: integer
          title: Changerequestcount
          description: Number of pending prescription changes
          default: 0
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Last update date
        totalPending:
          type: integer
          title: Totalpending
          description: Total number of pending notifications.
          readOnly: true
      type: object
      required:
        - providerId
        - totalPending
      title: PrescriberNotificationCountSummary
      description: Schema for prescriber notification counts response.

````